/*
 * Unique Schlüssel für JPA Entität
 */
package de.ivu.elect.business.gebietsbaum.entity;
import java.util.function.Function;
import java.util.ArrayList;
import java.util.stream.Collectors;

@javax.enterprise.inject.Vetoed
public class WahldurchfuehrungsgebietUK
extends de.ivu.elect.business.gebietsbaum.entity.GebietUK
  {

  private static final long serialVersionUID = 1L;



  public WahldurchfuehrungsgebietUK(
java.lang.String nummer
,   de.ivu.elect.business.gebietsbaum.entity.GebietsartUK gebietsartUK
,   de.ivu.elect.business.wahl.entity.WahlUK wahlUK
,   de.ivu.elect.business.wahl.entity.WahlterminUK wahlterminUK
  ) {
super(
nummer
,   gebietsartUK
,   wahlUK
,   wahlterminUK
);


      }

  @Override
  public int hashCode() {
        int result = super.hashCode();
    
    
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) {
      return true;
    }

    if (obj == null) {
      return false;
    }

        if (!super.equals(obj)) {
      return false;
    }
    
    if (getClass() != obj.getClass()) {
      return false;
    }

    
    return true;
  }

  @Override
  public String getEntityMessageKey() {
    return WahldurchfuehrungsgebietConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> getAllEntityFieldValues() {
    java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> result = new java.util.ArrayList<>();

    result.addAll(super.getAllEntityFieldValues());
    result.addAll(getEntityFieldValuesForEntity());
    return result;
  }

  @Override
  public java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> getEntityFieldValuesForEntity() {
            return java.util.Collections.emptyList();
      }
  
    @Override
  public String toString() {
    return "WahldurchfuehrungsgebietUK[" + toStringParameter() + "]";
  }

            protected String toStringParameter() {
              String result = ""

                                                ;
                            String resultParent = super.toStringParameter();
                if (resultParent.isEmpty()) {
                  return result;
                }
                if (result.isEmpty()) {
                  return resultParent;
                }
                return resultParent +", " + result;
            
            }




        
   @Override
   protected ArrayList<Object> getAllUKFieldValues() {
              ArrayList<Object> list = super.getAllUKFieldValues();
          return list;
   }

            public static <E extends Wahldurchfuehrungsgebiet> java.util.Map<WahldurchfuehrungsgebietUK, E> mappeWahldurchfuehrungsgebietNachUK(java.util.Collection<E> entities) {

                return entities.stream().collect(java.util.stream.Collectors.toMap(Wahldurchfuehrungsgebiet::getWahldurchfuehrungsgebietUK, Function.<E>identity(), (u,v)->v));
             }


                public static Function<Wahldurchfuehrungsgebiet, WahldurchfuehrungsgebietUK> getWahldurchfuehrungsgebietToUKFunction() {
                return Wahldurchfuehrungsgebiet::getWahldurchfuehrungsgebietUK;
                }

}
